<?php
/**
 * 
 * $Id: miniplay_traffic_edit.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestNumber("id");
$action_type = ParamUtil::getRequestString("action_type");

//新添加
if($action_type == "new") {
	//获取当前最大channel_id
	$channel_no = 0;
	$tmp_list = ChannelMst::getList(null,"channel_no", "desc", 0, 1);
	if(!empty($tmp_list)) {
		$channel_no = intval($tmp_list[0]->channel_no) + 1;
	} else {
		$channel_no = 1001;
	}
	 
	$channel_mst = new ChannelMst();
	$channel_mst->channel_no = $channel_no;
}

//编辑
if($action_type == "edit") {
	$channel_mst = ChannelMst::getById($id);
}

// 页面表示
$_SCRIPT_FILE = array("scripts/validators.js", "scripts/channel.js");
$layout_pages = array();
$layout_pages["top"] = "menu.inc";
$layout_pages["menu_clicked"] = "li_miniplay";
$layout_pages["middle"] = "channel_edit.inc";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
exit;